testplugin.hh File Reference
`#include <mia/core/plugin_base.hh>`
`#include <mia/core/handler.hh>`
Include dependency graph for testplugin.hh:

Go to the source code of this file.

## Data Structures

class | CTestPlugin
| Class to test plugin handling. More...
class | CTestPluginHandlerImpl
| Class to test plugin handling. More...

## Typedefs

typedef THandlerSingleton< CTestPluginHandlerImpl > | CTestPluginHandler

## Variables

EXPORT_CORE const char *const | test_property
| constant defining a test property
template class EXPORT_CORE | THandlerSingleton< CTestPluginHandlerImpl >
template class EXPORT_CORE | TPlugin< test_plugin_data, test_plugin_type >
template<>
const char *const | TPluginHandler< CTestPlugin >::m_help

## Typedef Documentation

## CTestPluginHandler

typedef THandlerSingleton<CTestPluginHandlerImpl> CTestPluginHandler

Test plugin handler, only used internally for thesing the plugin handler

Definition at line 89 of file testplugin.hh.

## Variable Documentation

## test_property

EXPORT_CORE const char* const test_property

extern

constant defining a test property

## THandlerSingleton< CTestPluginHandlerImpl >

template class EXPORT_CORE THandlerSingleton< CTestPluginHandlerImpl >

extern

## TPlugin< test_plugin_data, test_plugin_type >

template class EXPORT_CORE TPlugin< test_plugin_data, test_plugin_type >

extern

## TPluginHandler< CTestPlugin >::m_help

template<>

const char* const TPluginHandler< CTestPlugin >::m_help

Definition at line 54 of file testplugin.hh.